Create a work order shipment
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quantity_shipped": 123,
"carrier": "<string>",
"tracking_number": "<string>",
"status": "<string>",
"notes": "<string>",
"shipped_at": "2023-12-25"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments"
payload = {
"quantity_shipped": 123,
"carrier": "<string>",
"tracking_number": "<string>",
"status": "<string>",
"notes": "<string>",
"shipped_at": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quantity_shipped: 123,
carrier: '<string>',
tracking_number: '<string>',
status: '<string>',
notes: '<string>',
shipped_at: '2023-12-25'
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/work-orders/{workOrderId}/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"work_order_id": 123,
"quantity_shipped": 123,
"carrier": "<string>",
"tracking_number": "<string>",
"status": "<string>",
"ship_notes": "<string>",
"shipped_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Work Order Comments & Shipments
Create a work order shipment
Record a new shipment against a work order. Not allowed for draft work orders.
POST
/
work-orders
/
{workOrderId}
/
shipments
Create a work order shipment
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the work order.
Body
application/json
Quantity shipped. Must be at least 0.0001.
Shipping carrier.
Carrier tracking number.
Shipment status.
Free-form shipment notes.
Date the shipment was sent.
Response
Created
Show child attributes
Show child attributes
⌘I